Bullet Collision Detection & Physics Library: btSingleSweepCallback Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btSingleSweepCallback Struct Reference
Inheritance diagram for btSingleSweepCallback:
[legend]
Collaboration diagram for btSingleSweepCallback:
[legend]

## Public Member Functions
| btSingleSweepCallback (const btConvexShape *castShape, const btTransform &convexFromTrans, const btTransform &convexToTrans, const btCollisionWorld *world, btCollisionWorld::ConvexResultCallback &resultCallback, btScalar allowedPenetration)
virtual bool | process (const btBroadphaseProxy *proxy)
Public Member Functions inherited from btBroadphaseRayCallback
virtual | ~btBroadphaseRayCallback ()
Public Member Functions inherited from btBroadphaseAabbCallback
virtual | ~btBroadphaseAabbCallback ()

## Public Attributes
btTransform | m_convexFromTrans
btTransform | m_convexToTrans
btVector3 | m_hitNormal
const btCollisionWorld * | m_world
btCollisionWorld::ConvexResultCallback & | m_resultCallback
btScalar | m_allowedCcdPenetration
const btConvexShape * | m_castShape
Public Attributes inherited from btBroadphaseRayCallback
btVector3 | m_rayDirectionInverse
| added some cached data to accelerate ray-AABB tests
unsigned int | m_signs [3]
btScalar | m_lambda_max

## Additional Inherited Members
Protected Member Functions inherited from btBroadphaseRayCallback
| btBroadphaseRayCallback ()

## Detailed Description

Definition at line 1020 of file btCollisionWorld.cpp.

## Constructor & Destructor Documentation

## ◆ btSingleSweepCallback()

btSingleSweepCallback::btSingleSweepCallback | ( | const btConvexShape * | castShape,
|  | const btTransform & | convexFromTrans,
|  | const btTransform & | convexToTrans,
|  | const btCollisionWorld * | world,
|  | btCollisionWorld::ConvexResultCallback & | resultCallback,
|  | btScalar | allowedPenetration )
| inline

what about division by zero? --> just set rayDirection[i] to INF/BT_LARGE_FLOAT

Definition at line 1030 of file btCollisionWorld.cpp.

## Member Function Documentation

## ◆ process()

virtual bool btSingleSweepCallback::process | ( | const btBroadphaseProxy * | proxy | ) |
| inlinevirtual

terminate further convex sweep tests, once the closestHitFraction reached zero

Implements btBroadphaseAabbCallback.

Definition at line 1051 of file btCollisionWorld.cpp.

## Member Data Documentation

## ◆ m_allowedCcdPenetration

btScalar btSingleSweepCallback::m_allowedCcdPenetration

Definition at line 1027 of file btCollisionWorld.cpp.

## ◆ m_castShape

const btConvexShape* btSingleSweepCallback::m_castShape

Definition at line 1028 of file btCollisionWorld.cpp.

## ◆ m_convexFromTrans

btTransform btSingleSweepCallback::m_convexFromTrans

Definition at line 1022 of file btCollisionWorld.cpp.

## ◆ m_convexToTrans

btTransform btSingleSweepCallback::m_convexToTrans

Definition at line 1023 of file btCollisionWorld.cpp.

## ◆ m_hitNormal

btVector3 btSingleSweepCallback::m_hitNormal

Definition at line 1024 of file btCollisionWorld.cpp.

## ◆ m_resultCallback

btCollisionWorld::ConvexResultCallback& btSingleSweepCallback::m_resultCallback

Definition at line 1026 of file btCollisionWorld.cpp.

## ◆ m_world

const btCollisionWorld* btSingleSweepCallback::m_world

Definition at line 1025 of file btCollisionWorld.cpp.

The documentation for this struct was generated from the following file:

- btCollisionWorld.cpp